apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ console_name }}
  namespace: {{ namespace }}
data:
  default.conf: |
    server {
        listen 8080;
        client_max_body_size 0;
        chunked_transfer_encoding on;
        proxy_ssl_server_name on;
        proxy_buffering off;
        proxy_ignore_headers "X-Accel-Buffering";
        location / {
            root /usr/share/nginx/html;
            index index.html index.htm;
        }
        location /v2 {
            if ($http_user_agent ~ "^(docker\/1\.(3|4|5(?!\.[0-9]-dev))|Go ).*$" ) {
                return 404;
            }
            proxy_version 1.1;
{% if registry_do_tls %}
            proxy_ssl_trusted_certificate /certs/ca.crt;
            proxy_ssl_verify on;
            proxy_pass https://{{ registry_name }}:5000;
{% else %}
            proxy_pass http://{{ registry_name }}:5000;
{% endif %}
        }
        error_page 500 502 503 504 /50x.html;
        location = /50x.html {
            root /usr/share/nginx/html;
        }
    }
  index.html: |
    <!--
     Copyright (C) 2016-2021 Jones Magloire @Joxit
    
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU Affero General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.
    
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU Affero General Public License for more details.
    
     You should have received a copy of the GNU Affero General Public License
     along with this program.  If not, see <http://www.gnu.org/licenses/>.
    -->
    <!DOCTYPE html>
    <html>
        <head>
          <meta charset="UTF-8" />
          <link href="docker-registry-ui.css" rel="stylesheet" type="text/css" />
          <meta name="viewport" content="width=device-width, initial-scale=1" />
          <meta property="og:site_name" content="{{ registryconsole_sitename }}" />
          <title>{{ registryconsole_sitename }}</title>
        </head>
        <body>
            <docker-registry-ui registry-url="" name="{{ registryconsole_sitename }}"
                pull-url="" show-content-digest="" is-image-remove-activated="true"
                catalog-elements-limit="" single-registry="true"
                default-registries="" read-only-registries=""
                show-catalog-nb-tags="20" history-custom-labels="false"
                use-control-cache-header="true">
            </docker-registry-ui>
            <script src="docker-registry-ui.js"></script>
        </body>
    </html>
